#
# spec file for package perl-HTTP-Date
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTTP-Date
Version:        6.02
Release:        lp150.1.6
%define cpan_name HTTP-Date
Summary:        Date conversion routines
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTTP-Date/
Source:         http://www.cpan.org/authors/id/G/GA/GAAS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
#BuildRequires: perl(HTTP::Date)
#BuildRequires: perl(Time::Zone)
Recommends:     perl(Time::Zone)
%{perl_requires}

%description
This module provides functions that deal the date formats used by the HTTP
protocol (and then some more). Only the first two functions, time2str() and
str2time(), are exported by default.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed May 23 2012 coolo@suse.com
- updated to 6.02
  * Added support for parsing dates with (faulty) double TZ spec [RT#75150]
  * Doc tweaks.
* Thu Feb 16 2012 coolo@suse.com
- updated to 6.01
  * Restore perl-5.6 compatiblity.  Drop MacOS (classic) support.
* Wed Mar 16 2011 chris@computersalat.de
- fix deps
  o Req: perl(Time::Local)
  o Recommends: perl(Time::Zone)
* Mon Mar 14 2011 vcizek@novell.com
- initial package 6.00
  * created by cpanspec 1.78.03
